//#region libs/shared/common/src/types/token.types.ts
var e = /* @__PURE__ */ function(e) {
	return e[e.Classic = 0] = "Classic", e[e.ERC20Permit = 1] = "ERC20Permit", e[e.DAIPermit = 2] = "DAIPermit", e;
}({});
//#endregion
export { e as ApprovalType };
